<?xml version="1.0" encoding="UTF-8"?>
<launch>

    <arg name="cam_fps" value="5" />
    <arg name="imu_fps" value="50" />

    <node pkg="topic_tools" type="throttle" name="throttle_cam" args="messages /camera/rgb/image_mono $(arg cam_fps)" output="log">
    </node>

    <node pkg="topic_tools" type="throttle" name="throttle_imu" args="messages /mavros/imu/data $(arg imu_fps)" output="log">
    </node>

    <node pkg="rovio" type="rovio_node" name="rovio" output="screen">
      <param name="filter_config" value="$(find rovio)/cfg/rovio.info"/>
      <param name="camera0_config" value="$(find rovio)/cfg/rgb_cam.yaml"/>
      <param name="imu_topic_name" value="/mavros/imu/data_throttle"/>
      <param name="cam0_topic_name" value="/camera/rgb/image_mono_throttle"/>
    </node>
</launch>
